For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate comment
      • POSTCreate comment attachment
      • DELDelete comment attachment
      • GETList comments
      • GETShow comment
      • PATCHUpdate comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

List comments

Deprecated
GET
https://api.frame.io/v4/accounts/:account_id/files/:file_id/comments
GET
/v4/accounts/:account_id/files/:file_id/comments
1from frameio_experimental import FrameioExperimental
2
3client = FrameioExperimental(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.comments.index(
8 account_id="572f2d9e-024c-49ca-83a3-6481cf992299",
9 file_id="701ef5d6-96bd-48b7-9ac9-1fbbcd85ff0c",
10)
1{
2 "data": [
3 {
4 "annotation": "annotation",
5 "attachments": [
6 {
7 "created_at": "2024-02-02T21:19:24.828948Z",
8 "file_size": 1024000,
9 "id": "463b812b-3bf8-4ffa-93fe-d24cbc45b3f1",
10 "media_type": "image/png",
11 "name": "screenshot.png",
12 "upload_urls": [
13 "https://s3.amazonaws.com/bucket/part1?signature=..."
14 ]
15 }
16 ],
17 "completed_at": null,
18 "completer_id": null,
19 "created_at": "2024-02-02T21:19:24.828948Z",
20 "duration": 10,
21 "file_id": "4ae08df1-b419-4897-aba5-560198a18237",
22 "id": "1a58da22-fd26-4c27-9a2d-c9ec7016107e",
23 "links": [
24 {
25 "end_index": 13,
26 "start_index": 5,
27 "text": "Test User",
28 "url": "https://www.example.com"
29 }
30 ],
31 "mentions": [
32 {
33 "end_index": 13,
34 "start_index": 5,
35 "text": "Test User",
36 "user_id": "f07ec568-76f9-4ca7-af85-9c4f692cb715"
37 }
38 ],
39 "page": 1,
40 "text": "This is great!",
41 "text_edited_at": "2024-02-02T21:19:24.828948Z",
42 "text_review_annotation": {
43 "bounds": [
44 {
45 "height": 42,
46 "width": 130,
47 "x": 12.5,
48 "y": 24
49 }
50 ],
51 "selection_text": "existing copy",
52 "suggested_text": "updated copy",
53 "text_review_annotation_type": "replace"
54 },
55 "timestamp": 123,
56 "updated_at": "2024-02-02T21:19:24.828948Z",
57 "anchor": {
58 "x": 0.5,
59 "y": 0.5
60 },
61 "owner": {
62 "active": true,
63 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
64 "email": "user_email@example.com",
65 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
66 "name": "Jon Doe"
67 },
68 "replies": []
69 },
70 {
71 "annotation": "annotation",
72 "attachments": [
73 {
74 "created_at": "2024-02-02T21:19:24.828948Z",
75 "file_size": 1024000,
76 "id": "463b812b-3bf8-4ffa-93fe-d24cbc45b3f1",
77 "media_type": "image/png",
78 "name": "screenshot.png",
79 "upload_urls": [
80 "https://s3.amazonaws.com/bucket/part1?signature=..."
81 ]
82 }
83 ],
84 "completed_at": null,
85 "completer_id": null,
86 "created_at": "2024-02-02T21:19:24.828948Z",
87 "duration": 10,
88 "file_id": "4ae08df1-b419-4897-aba5-560198a18237",
89 "id": "1a58da22-fd26-4c27-9a2d-c9ec7016107e",
90 "links": [
91 {
92 "end_index": 13,
93 "start_index": 5,
94 "text": "Test User",
95 "url": "https://www.example.com"
96 }
97 ],
98 "mentions": [
99 {
100 "end_index": 13,
101 "start_index": 5,
102 "text": "Test User",
103 "user_id": "f07ec568-76f9-4ca7-af85-9c4f692cb715"
104 }
105 ],
106 "page": 1,
107 "text": "This is great!",
108 "text_edited_at": "2024-02-02T21:19:24.828948Z",
109 "text_review_annotation": {
110 "bounds": [
111 {
112 "height": 42,
113 "width": 130,
114 "x": 12.5,
115 "y": 24
116 }
117 ],
118 "selection_text": "existing copy",
119 "suggested_text": "updated copy",
120 "text_review_annotation_type": "replace"
121 },
122 "timestamp": 123,
123 "updated_at": "2024-02-02T21:19:24.828948Z",
124 "anchor": {
125 "x": 0.5,
126 "y": 0.5
127 },
128 "owner": {
129 "active": true,
130 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
131 "email": "user_email@example.com",
132 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
133 "name": "Jon Doe"
134 },
135 "replies": [
136 {
137 "annotation": "annotation",
138 "attachments": [
139 {
140 "created_at": "2024-02-02T21:19:24.828948Z",
141 "file_size": 1024000,
142 "id": "463b812b-3bf8-4ffa-93fe-d24cbc45b3f1",
143 "media_type": "image/png",
144 "name": "screenshot.png",
145 "upload_urls": [
146 "https://s3.amazonaws.com/bucket/part1?signature=..."
147 ]
148 }
149 ],
150 "completed_at": null,
151 "completer_id": null,
152 "created_at": "2024-02-02T21:19:24.828948Z",
153 "duration": 10,
154 "file_id": "4ae08df1-b419-4897-aba5-560198a18237",
155 "id": "1a58da22-fd26-4c27-9a2d-c9ec7016107e",
156 "links": [
157 {
158 "end_index": 13,
159 "start_index": 5,
160 "text": "Test User",
161 "url": "https://www.example.com"
162 }
163 ],
164 "mentions": [
165 {
166 "end_index": 13,
167 "start_index": 5,
168 "text": "Test User",
169 "user_id": "f07ec568-76f9-4ca7-af85-9c4f692cb715"
170 }
171 ],
172 "page": 1,
173 "text": "This is great!",
174 "text_edited_at": "2024-02-02T21:19:24.828948Z",
175 "text_review_annotation": {
176 "bounds": [
177 {
178 "height": 42,
179 "width": 130,
180 "x": 12.5,
181 "y": 24
182 }
183 ],
184 "selection_text": "existing copy",
185 "suggested_text": "updated copy",
186 "text_review_annotation_type": "replace"
187 },
188 "timestamp": 123,
189 "updated_at": "2024-02-02T21:19:24.828948Z",
190 "anchor": {
191 "x": 0.5,
192 "y": 0.5
193 }
194 }
195 ]
196 }
197 ],
198 "links": {
199 "next": "/v4/accounts/123/files/123/comments"
200 },
201 "total_count": 10
202}
List comments on a given asset. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.index. <br/>Rate Limits: 100 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Show comment

Next

List comments on a given asset.
This endpoint has been added to Current Version of the API.
Please see https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.index.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
file_idstringRequiredformat: "uuid"
A UUID String

Query parameters

timestamp_as_timecodebooleanOptional
includeenumOptional
Include query parameter for comments
Allowed values:
sortenumOptional
Sort comments by query params
afterstringOptional

Opaque Cursor query param for requests returning paginated results.


NOTE: this value is auto-generated and included as part of links from a previous response. It is not intended to be human readable.

page_sizeintegerOptional1-100Defaults to 50
Page size query param for requests
include_total_countbooleanOptionalDefaults to false
Page query param to include the count of all entities

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
datalist of objects
Comments
linksobject
Links to paginated data
total_countinteger or null
Total count

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error